<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://xmlns.jcp.org/jsf/core"
        xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:p="http://xmlns.jcp.org/jsf/passthrough">
    <div class="panel panel-${run.runState == 'finished' ? 'success' : run.runState == 'interrupted' ? 'warning' : 'danger'}">
        <div class="panel-heading">
            <div class="row">
                <div class="col-sm-6">
                	<h:outputText value="${localized.labelRunTimeStart}:  " />
					<ui:fragment rendered="${run.startTime ne null}">
						<h:outputText value="${run.startTime}">
							<f:convertDateTime type="both" dateStyle="default"
								timeStyle="default" locale="#{appLocalization.localeCode}"
								timeZone="${appLocalization.timeZone}" />
						</h:outputText>
					</ui:fragment>
					<ui:fragment rendered="${run.startTime eq null}">
						${localized.labelMiscNotAvailable}
					</ui:fragment>
					<ui:fragment rendered="${run.incremental}">
						<i class="fa fa-filter" style="margin-left: 5px;" title="${localized.inputIncremental}" />
					</ui:fragment>
                </div>
                <div class="col-sm-6 text-right">
                    ${localized['runStatus' += run.runState.label]}
                </div>
            </div>
        </div>
        <div class="panel-body">
        	<div class="row">
        		<div class="col-sm-4">
	        		<p>${localized.labelRunProcessing}: <span class="badge" style="vertical-align:text-bottom;">${run.numberToProcess}</span></p>
        		</div>
        		<div class="col-sm-4">
	        		<p>${localized.labelRunAdded}: <span class="badge" style="vertical-align:text-bottom;">${run.numberAdded}</span></p>
        		</div>
        		<div class="col-sm-4">
	        		<p>${localized.labelMiscDeleted}: <span class="badge" style="vertical-align:text-bottom;">${run.numberDeleted}</span></p>
        		</div>
        	</div>
        	<div class="row">
        		<div class="col-sm-offset-4 col-sm-4">
	        		${localized.labelRunUpdated}: <span class="badge" style="vertical-align:text-bottom;">${run.numberUpdated}</span>
        		</div>
        		<div class="col-sm-4">
	        		${localized.labelRunRejected}: <span class="badge" style="vertical-align:text-bottom;">${run.numberRejected}</span>
        		</div>
        	</div>
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-5">
                	<h:outputText value="${localized.labelRunTimeEnd}:  " />
					<ui:fragment rendered="${run.endTime ne null}">
						<h:outputText value="${run.endTime}">
							<f:convertDateTime type="both" dateStyle="default"
								timeStyle="default" locale="#{appLocalization.localeCode}"
								timeZone="${appLocalization.timeZone}" />
						</h:outputText>
					</ui:fragment>
					<ui:fragment rendered="${run.endTime eq null}">
						${localized.labelMiscNotAvailable}
					</ui:fragment>
                </div>
                <div class="col-sm-5">
                	<h:outputText value="${localized.labelRunDuration}:  " />
					${run.runDurationInMinutes} ${run.runDurationInMinutes ne null ? (run.runDurationInMinutes eq 1 ? localized.unitMinuteSingular : localized.unitMinutePlural) : localized.labelMiscNotAvailable}
                </div>
                <div class="col-sm-2 text-right">
                    <h:link styleClass="text-info" outcome="/public/showrun?faces-redirect=true">
						<f:param name="id" value="#{run.id}" />
                        <i class="fa fa-eye" />
                    </h:link>
                </div>
            </div>
        </div>
    </div>
</html>